| marscan

## Function

Finds matrix/scaffold recognition (MRS) signatures in DNA sequences

## Description

marscan finds MRS recognition signatures in DNA sequences. The MRS signature is associated with matrix/scaffold attachment regions (MARs/SARs) which are genomic elements thought to delineate the structural and functional organisation of the eukaryotic genome. The MRS is a bipartite sequence element that consists of an 8bp motif (`AATAAYAA`) and a 16 bp motif (`AWWRTAANNWWGNNNC`) within a 200 bp distance from each other, on either sense strand of the genomic DNA. marscan reads a DNA sequence and writes a standard EMBOSS report file with details of the MRS signatures identified.

## Algorithm

marscan searches for an MRS signature, that being the 8bp sequence (`AATAAYAA`) and the 16 bp sequence (`AWWRTAANNWWGNNNC`) within a 200 bp distance from each other. One mismatch is allowed in the 16 bp pattern. The patterns may occur on the same or different strands and can overlap.

Where there are many suitable 8 bp and/or 16 bp pattern sites located within 200 bp of each other, then only the closest pair of 8 bp / 16 bp sites are reported.

Once an MRS has been reported, no more sites will be looked for within 200 bp of that site. This reduces (but not eliminates entirely) over-reporting of the clusters of MRS's that tend to occur within a MAR/SAR.

## Usage

Here is a sample session with marscan

    % marscan
    Finds matrix/scaffold recognition (MRS) signatures in DNA sequences
    Input nucleotide sequence(s): tembl:u01317
    Output report [u01317.marscan]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     Nucleotide sequence(s) filename and optional
                                      format, or reference (input USA)
      [-outfile]           report     [*.marscan] File for output of MAR/SAR
                                      recognition signature (MRS) regions. This
                                      contains details of the MRS in normal GFF
                                      format. The MRS consists of two recognition
                                      sites, one of 8 bp and one of 16 bp on
                                      either sense strand of the genomic DNA,
                                      within 200 bp of each other.

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -rformat2           string     Report format
       -rname2             string     Base file name
       -rextension2        string     File name extension
       -rdirectory2        string     Output directory
       -raccshow2          boolean    Show accession number in the report
       -rdesshow2          boolean    Show description in the report
       -rscoreshow2        boolean    Show the score in the report
       -rstrandshow2       boolean    Show the nucleotide strand in the report
       -rusashow2          boolean    Show the full USA in the report
       -rmaxall2           integer    Maximum total hits to report
       -rmaxseq2           integer    Maximum hits to report for one sequence

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Nucleotide sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required
[-outfile] (Parameter 2) | File for output of MAR/SAR recognition signature (MRS) regions. This contains details of the MRS in normal GFF format. The MRS consists of two recognition sites, one of 8 bp and one of 16 bp on either sense strand of the genomic DNA, within 200 bp of each other. | Report output file | <*>.marscan
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

marscan reads a normal genomic DNA USA.

### Input files for usage example

'tembl:u01317' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:u01317

    ID   U01317; SV 1; linear; genomic DNA; STD; HUM; 73308 BP.
    XX
    AC   U01317; J00093-J00094; J00096; J00158-J00175; J00177-J00179; K01239;
    AC   K01890; K02544; M18047; M19067; M24868; M24886;
    XX
    DT   19-MAR-1994 (Rel. 39, Created)
    DT   14-NOV-2006 (Rel. 89, Last updated, Version 34)
    XX
    DE   Human beta globin region on chromosome 11.
    XX
    KW   allelic variation; alternate cap site; Alu repeat; beta-1 pseudogene;
    KW   beta-globin; delta-globin; epsilon-globin; gamma-globin; gene duplication;
    KW   globin; HPFH; KpnI repetitive sequence; polymorphism; promoter mutation;
    KW   pseudogene; repetitive sequence; RNA polymerase III; thalassemia.
    XX
    OS   Homo sapiens (human)
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi; Mammalia;
    OC   Eutheria; Euarchontoglires; Primates; Haplorrhini; Catarrhini; Hominidae;
    OC   Homo.
    XX
    RN   [1]
    RP   62409-62631, 63482-63610
    RX   PUBMED; 4135409.
    RA   Marotta C.A., Forget B.G., Weissman S.M., Verma I.M., McCaffrey R.P.,
    RA   Baltimore D.;
    RT   "Nucleotide sequences of human globin messenger RNA";
    RL   Proc. Natl. Acad. Sci. U.S.A. 71(6):2300-2304(1974).
    XX
    RN   [2]
    RP   63602-63646
    RX   PUBMED; 1059150.
    RA   Forget B.G., Marotta C.A., Weissman S.M., Cohen-Solal M.;
    RT   "Nucleotide sequences of the 3'-terminal untranslated region of messenger
    RT   RNA for human beta globin chain";
    RL   Proc. Natl. Acad. Sci. U.S.A. 72(9):3614-3618(1975).
    XX
    RN   [3]
    RP   63593-63626
    RX   PUBMED; 788834.
    RA   Proudfoot N.J., Brownlee G.G.;
    RT   "Nucleotide sequences of globin messenger RNA";
    RL   Br. Med. Bull. 32(3):251-256(1976).
    XX
    RN   [4]
    RP   63673-63743
    RX   DOI; 10.1016/0092-8674(76)90137-9.
    RX   PUBMED; 1035137.
    RA   Proudfoot N.J., Longley J.I.;
    RT   "The 3' terminal sequences of human alpha and beta globin messenger RNAs:
    RT   comparison with rabbit globin messenger RNA";

      [Part of this file has been deleted for brevity]

         aaaggggaga agaatcaaat agacgcaata aaaaatgaca cggggtatca ccactgatcc     70380
         cacagaaata caaactaccg tcagagaata ctataaacac ctctacgcaa ataaactaga     70440
         aaatctagaa gaaatggata aattcctcga cacatacact ctgccaagac taaaccagga     70500
         agaagttgta tctctgaata gaccaataac aggctctgaa attgaggcaa taattaatag     70560
         cttatcaacc aaaaaaagtc cgggaccagt aggattcata gccgaattct accagaggta     70620
         caaggaggag ctggtaccat tccttctgaa actattccaa tcaatagaaa aagagggaat     70680
         cctccctaac tcattttatg aggccagcat catcctgata ccaaagcctg acagagacac     70740
         aacaaaaaaa gagaatgtta caccaatatc cttgatgaac atcgatgcaa aaatcctcaa     70800
         taaaatactg gcaaactgaa tccagcagca catcaaaaag cttatcctcc atgatcaagt     70860
         gggcttcatc cctgccatgc aaggctggtt caacatacga aatcaataaa cataatccag     70920
         catataaaca gaaccaaaga cacaaaccat atgattatct caatagatgc agaaaaggcc     70980
         tttgacaaaa ttcaacaatg cttcatgcta aaaactctca ataaattagg tattgatggg     71040
         acatatctca aaataataag agctatctat gacaaaccca cagccaatat catactgagt     71100
         ggacaaaaac tggaagcatt ccctttgaaa actggcacaa ggcagggatg ccctctctca     71160
         ccactcctat tcaacatagt gttggaagtt ctggccaggg caatcaggca ggagaaggaa     71220
         ataaagggca ttcaattagg aaaagaggaa ggtgaaattg tccctgtttg cagatgacat     71280
         gattgtatat ctagaaaacc ccattgtctc agcccaaaat ctccttaagc tgataagcaa     71340
         cttcagcaaa gtctcaggat ataaaatcag tgtgcaaaaa tcacaagtat tcctatgcac     71400
         caataacaga caaacagaga gccaaatcat gagtgaactc ccattcacaa ttgcttcaaa     71460
         gagaataaaa tacctaggaa tccaacttac aagggatgtg aaggacctct tcaaggagaa     71520
         ctacaaacca ctgctcaatg aaataaaaga ggatacaaac aaatggaaga acattccatg     71580
         cttatgggta ggaagaatca tatcgtgaaa atggtcatac tgcccaaggt aatttataga     71640
         ttcaatgcca tccccatcaa gctaccaatg actttcttca cagaactgga aaaaactact     71700
         ttaaagttca tatggaatca aaaaagagcc cacatcacca aggcaatcct aagccaaaag     71760
         aacaaagctg gaggcatcac gctacctgac ttcaaactat actacaatgc tacggtaacc     71820
         aaaacagcat ggtactggta ccaaaacaga gatctagacc aatggaacag aacagagccc     71880
         tcagaaataa tgccgcatat ctacaactat ccgatctttg acaaacctga gagaaacaag     71940
         caatggggaa aggattccct atttaataaa tggtgctggg aaaactggct agccatatgt     72000
         agaaagctga aactggatcc ttccttacac cttatacaaa aattaattca agatggatta     72060
         aagacttaaa cattagacct aaaaccataa aaaccctaga aaaaaaccta ggcaatacca     72120
         ttcaggacat aggcatgggc aaggacttca tgtctaaaac accaaaacga atggcaacaa     72180
         aagacaaaat ggacaaacgg gatctaatta aactaaagag cttctgcaca gctaaagaaa     72240
         ctaccatcag agtgaacagg caacctacaa aatgggagaa aatttttgca atctactcat     72300
         ctgacaaagg gctaatatcc agaatctaca atgaactcaa acaaatttac aagaaaaaac     72360
         aaacaacccc atcaaaaagt gggcaaagga tatgaacaga cacttctcaa aagaagacat     72420
         ttatgtaatc aaaaaacaca tgaaaaaatg ctcatcatca ctagccatca gagaaatgca     72480
         aatcaaaacc acaatgagat accatctcac accagttaga atggcgatca ttaaaaagtc     72540
         aggaaacaac aggtgctgga gaggatgtgg agaaacagga acaactttta cactgttggt     72600
         gggactgtaa actagttcaa ccattgcgga agtcagtgtg gcaattcctc aggaatctag     72660
         aactagaaat accatttgac ccagccatcc cattactggg tagataccca aaggattata     72720
         aatcatgctg ctataaagac acatgcacac gtatgtttat tgcagcacta ttcacaatag     72780
         caaagacttg gaaccaaccc aaatgtccaa caacgataga ttggattaag aaaatgtggc     72840
         acatatacac catggaatac tatgcagcca taaaaaatga tgagttcatg tcctttgtag     72900
         ggacatggat gaagctggaa actatcattc tcagcaaact atcacaagga caataaacca     72960
         aacaccgcat gttctcactc ataggtggga attgaacaat gagaacacat ggacacatga     73020
         agaggaacat cacactctgg ggactgttat ggggtggggg gcaggggcag ggatagcact     73080
         aggagatata cctaatgcta aatgacgagt taatgggtgc agcacaccaa catggcacat     73140
         gtatacatat ataacaaacc tgccgttgtg cacatgtacc ctaaaacttg aagtataata     73200
         ataaaaaaaa gttatcctat taaaactgat ctcacacatc cgtagagcca ttatcaagtc     73260
         tttctctttg aaacagacag aaatttagtg ttttctcagt cagttaac                  73308
    //

## Output file format

The output is a standard EMBOSS report file.

The results can be output in one of several styles by using the command-line qualifier -rformat xxx, where 'xxx' is replaced by the name of the required format. The available format names are: embl, genbank, gff, pir, swiss, trace, listfile, dbmotif, diffseq, excel, feattable, motif, regions, seqtable, simple, srs, table, tagseq

See: http://emboss.sf.net/docs/themes/ReportFormats.html for further information on report formats.

By default marscan writes a GFF (Gene Feature Format) report file.

### Output files for usage example

### File: u01317.marscan

    ##gff-version 3
    ##sequence-region U01317 1 65963
    #!Date 2008-07-15
    #!Type DNA
    #!Source-version EMBOSS 6.0.0
    U01317	marscan	regulatory_region	2242	2458	0.000	+	.	ID="U01317.1";note="*type MAR/SAR recognition site (MRS)";note="*start8bp 2451";note="*end8bp 2458";note="*start16bp 2242";note="*end16bp 2257"
    U01317	marscan	regulatory_region	17654	17730	0.000	+	.	ID="U01317.2";note="*type MAR/SAR recognition site (MRS)";note="*start8bp 17723";note="*end8bp 17730";note="*start16bp 17654";note="*end16bp 17669"
    U01317	marscan	regulatory_region	40956	41123	0.000	+	.	ID="U01317.3";note="*type MAR/SAR recognition site (MRS)";note="*start8bp 40956";note="*end8bp 40963";note="*start16bp 41108";note="*end16bp 41123"
    U01317	marscan	regulatory_region	42232	42248	0.000	+	.	ID="U01317.4";note="*type MAR/SAR recognition site (MRS)";note="*start8bp 42232";note="*end8bp 42239";note="*start16bp 42233";note="*end16bp 42248"
    U01317	marscan	regulatory_region	47834	47966	0.000	+	.	ID="U01317.5";note="*type MAR/SAR recognition site (MRS)";note="*start8bp 47959";note="*end8bp 47966";note="*start16bp 47834";note="*end16bp 47849"
    U01317	marscan	regulatory_region	65112	65146	0.000	+	.	ID="U01317.6";note="*type MAR/SAR recognition site (MRS)";note="*start8bp 65139";note="*end8bp 65146";note="*start16bp 65112";note="*end16bp 65127"
    U01317	marscan	regulatory_region	65947	65963	0.000	+	.	ID="U01317.7";note="*type MAR/SAR recognition site (MRS)";note="*start8bp 65947";note="*end8bp 65954";note="*start16bp 65948";note="*end16bp 65963"

## Data files

None.

## Notes

Matrix/scaffold attachment regions (MARs/SARs) are genomic elements thought to delineate the structural and functional organisation of the eukaryotic genome. Originally, MARs and SARs were identified through their ability to bind to the nuclear matrix or scaffold. Binding cannot be assigned to a unique sequence element, but is dispersed over a region of several hundred base pairs. These elements are found flanking a gene or a small cluster of genes and are located often in the vicinity of cis-regulatory sequences. This has led to the suggestion that they contribute to higher order regulation of transcription by defining boundaries of independently controlled chromatin domains. There is indirect evidence to support this notion. In transgenic experiments MARs/SARs dampen position effects by shielding the transgene from the effects of the chromatin structure at the site of integration. Furthermore, they may act as boundary elements for enhancers, restricting their long range effect to only the promoters that are located in the same chromatin domain.

marscan finds a bipartite sequence element that is unique for a large group of eukaryotic MARs/SARs. This MAR/SAR recognition signature (MRS) comprises two individual sequence elements (AATAAYAA and AWWRTAANNWWGNNNC) that are <200 bp apart and may be aligned on positioned nucleosomes in MARs. The MRS signature can be used to correctly predict the position of MARs/SARs in plants and animals, based on genomic DNA sequence information alone. Experimental evidence from the analysis of >300 kb of sequence data from several eukaryotic organisms show that wherever an MRS signature is observed in the DNA sequence, the corresponding genomic fragment is a biochemically identifiable SAR.

It it still not at all clear whether MAR/SARs are real biological phenomena or just experimental artefacts and the problem of how to define and find MARs is still being actively invetsigated. For a recent evaluation of this method and others, see reference 3. Not all SARs contain a MRS. Analysis of >300 kb of genomic sequence from a variety of eukaryotic organisms shows that the MRS faithfully predicts 80% of MARs and SARs, suggesting that at least one other type of MAR/SAR may exist which does not contain a MRS.

## References

1. The method for finding the MAR/SAR sites is described in:

   van Drunen CM., Sewalt RGAB., Oosterling RW., Weisbeek PJ., Smeekens SCM. and van Driel R. "A bipartite sequence element associated with matrix/scaffold attachment regions" Nucleic Acids Research. 1999. Vol 27, No. 14, pp. 2924-2930

2. The original paper on MARs/SARs is:

   Mirkovitch J., Mirault M-E. and Laemmli UK. Cell. 1984. Vol. 39 pp. 223-232.

3. A recent evaluation of methods to find MARs/SARs:

   I. Liebich, J. Bode, I. Reuter and E. Wingender "Evaluation of sequence motifs found in scaffold/matrix-attached regions (S/MARs)" Nucleic Acids Research 2002, Vol. 30, No. 15 3433-3442

## Warnings

marscan does not check whether the DNA input sequence is genomic or not.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
dreg | Regular expression search of nucleotide sequence(s)
fuzznuc | Search for patterns in nucleotide sequences
fuzztran | Search for patterns in protein sequences (translated)
getorf | Finds and extracts open reading frames (ORFs)
plotorf | Plot potential open reading frames in a nucleotide sequence
showorf | Display a nucleotide sequence and translation in pretty format
sixpack | Display a DNA sequence with 6-frame translation and ORFs
syco | Draw synonymous codon usage statictic plot for a nucleotide sequence
tcode | Identify protein-coding regions using Fickett TESTCODE statistic
wobble | Plot third base position variability in a nucleotide sequence

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Written (Jan 2001) - Gary Williams.

Changed output file to standard EMBOSS report format (April 2002) - Peter Rice

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None